#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cpphs
version: 1.19
id: cpphs-1.19-b4d63440526cf3353b52ef9f02d7c101
key: cpphs_3i7zodua2ZlD85nekXJoiu
license: LGPL
copyright: 2004-2015, Malcolm Wallace
maintainer: Malcolm Wallace <Malcolm.Wallace@me.com>
homepage: http://projects.haskell.org/cpphs/
synopsis: A liberalised re-implementation of cpp, the C pre-processor.
description:
    Cpphs is a re-implementation of the C pre-processor that is both
    more compatible with Haskell, and itself written in Haskell so
    that it can be distributed with compilers.
    .
    This version of the C pre-processor is pretty-much
    feature-complete and compatible with traditional (K&R)
    pre-processors.  Additional features include: a plain-text mode;
    an option to unlit literate code files; and an option to turn
    off macro-expansion.
category: Development
author: Malcolm Wallace <Malcolm.Wallace@me.com>
exposed: True
exposed-modules:
    Language.Preprocessor.Cpphs Language.Preprocessor.Unlit
hidden-modules: Language.Preprocessor.Cpphs.CppIfdef
                Language.Preprocessor.Cpphs.HashDefine
                Language.Preprocessor.Cpphs.MacroPass
                Language.Preprocessor.Cpphs.Options
                Language.Preprocessor.Cpphs.Position
                Language.Preprocessor.Cpphs.ReadFirst
                Language.Preprocessor.Cpphs.RunCpphs
                Language.Preprocessor.Cpphs.SymTab
                Language.Preprocessor.Cpphs.Tokenise
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cpphs-1.19
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cpphs-1.19
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cpphs-1.19
hs-libraries: HScpphs-1.19-3i7zodua2ZlD85nekXJoiu
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    old-locale-1.0.0.7-3588c6880f1cb77ccff98e204e99a556
    old-time-1.1.0.3-898ac3b8aa79205e344bc351cee279a9
    polyparse-1.11-5ac8e4392411c993b0e53cd9ebd3158e
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cpphs-1.19/html/cpphs.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cpphs-1.19/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
